<div>
    <h2 id="page-heading">
        <span jhiTranslate="lunaheroesApp.lunaUser.home.title">Luna Users</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-luna-user" [routerLink]="['/luna-user/new']">
            <fa-icon icon="plus"></fa-icon>
            <span class="hidden-sm-down"  jhiTranslate="lunaheroesApp.lunaUser.home.createLabel">
            Create a new Luna User
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'lunaheroesApp.lunaUser.home.search' | translate }}">

                    <button class="input-group-append btn btn-info" (click)="search(currentSearch)">
                        <fa-icon icon="search"></fa-icon>
                    </button>

                    <button class="input-group-append btn btn-danger" (click)="search('')" *ngIf="currentSearch">
                        <fa-icon icon="trash-alt"></fa-icon>
                    </button>
                </div>
            </form>
        </div>
    </div>

    <div class="alert alert-warning" id="no-result" *ngIf="lunaUsers?.length === 0">
        <span jhiTranslate="lunaheroesApp.lunaUser.home.notFound">No lunaUsers found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="lunaUsers && lunaUsers.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="lunaheroesApp.lunaUser.userName">User Name</span></th>
                    <th scope="col" ><span jhiTranslate="lunaheroesApp.lunaUser.userPwd">User Pwd</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let lunaUser of lunaUsers ;trackBy: trackId">
                    <td><a [routerLink]="['/luna-user', lunaUser.id, 'view']">{{ lunaUser.id }}</a></td>
                    <td>{{ lunaUser.userName }}</td>
                    <td>{{ lunaUser.userPwd }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/luna-user', lunaUser.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/luna-user', lunaUser.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(lunaUser)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
